Package org.eclipse.mat.ui.editor

# Class PaneConfiguration

java.lang.Object
org.eclipse.mat.ui.editor.PaneConfiguration

public class PaneConfiguration extends Object

## Method Summary

Modifier and Type
Method
Description
`AbstractEditorPane`
`build()`
`String`
`getClassName()`
`IConfigurationElement`
`getConfElement()`
`String`
`getId()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getId

public String getId()

### getClassName

public String getClassName()

### getConfElement

public IConfigurationElement getConfElement()

### build

public AbstractEditorPane build() throws CoreException

Throws:
  `CoreException`